Gentoo Logo

Texinfo: Buffer overflow

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200611-16 / texinfo
Release Date November 21, 2006
Latest Revision November 21, 2006: 01
Impact normal
Exploitable remote
Package Vulnerable versions Unaffected versions Architecture(s)
sys-apps/texinfo < 4.8-r5 >= 4.8-r5 All supported architectures

Related bugreports: #154316

Synopsis

Texinfo is vulnerable to a buffer overflow that could lead to the execution of arbitrary code.

2.  Impact Information

Background

Texinfo is the official documentation system of the GNU project.

Description

Miloslav Trmac from Red Hat discovered a buffer overflow in the "readline()" function of texindex.c. The "readline()" function is called by the texi2dvi and texindex commands.

Impact

By enticing a user to open a specially crafted Texinfo file, an attacker could execute arbitrary code with the rights of the user running Texinfo.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All Texinfo users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=sys-apps/texinfo-4.8-r5"

4.  References



Print

Page updated November 21, 2006

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.